Bug 241598 - x11-toolkits/plasma5-kdeplasma-addons: fix build on non-x86
Summary: x11-toolkits/plasma5-kdeplasma-addons: fix build on non-x86
Status: New
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: kde
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-30 21:04 UTC by Piotr Kubaj
Modified: 2019-11-08 10:03 UTC (History)
3 users (show)

See Also:
tcberner: maintainer-feedback+


Attachments
patch (888 bytes, patch)
2019-10-30 21:04 UTC, Piotr Kubaj
tcberner: maintainer-approval-
Details | Diff
v2 (883 bytes, patch)
2019-10-31 13:09 UTC, Piotr Kubaj
no flags Details | Diff
v3 (1008 bytes, patch)
2019-11-07 21:28 UTC, Piotr Kubaj
no flags Details | Diff
v4 (5.47 KB, patch)
2019-11-08 10:03 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (kde)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-10-30 21:04:10 UTC
Created attachment 208711 [details]
patch

Since e.g. PPC doesn't have webengine for now, this port doesn't build.

Make webengine x86-only.
Comment 1 Tobias C. Berner freebsd_committer 2019-10-31 06:04:04 UTC
Comment on attachment 208711 [details]
patch

QTWEBENGINE_CMAKE_BOOL_OFF does not need a =true, it does that itself.

https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/makefile-options.html#options-cmake_bool
Comment 2 Piotr Kubaj freebsd_committer 2019-10-31 13:09:06 UTC
Created attachment 208733 [details]
v2

Corrected version.
Comment 3 Tobias C. Berner freebsd_committer 2019-11-02 16:14:59 UTC
webengine is still in the USE_QT list, it seems.
Comment 4 Piotr Kubaj freebsd_committer 2019-11-07 21:28:57 UTC
Created attachment 208954 [details]
v3

Is that OK? It definitely builds :)
Comment 5 Tobias C. Berner freebsd_committer 2019-11-08 09:07:13 UTC
Looks good to me now.
Comment 6 Piotr Kubaj freebsd_committer 2019-11-08 10:03:50 UTC
Created attachment 208969 [details]
v4

v3 patch doesn't pass check-plist, so one more correction is necessary.